Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.timestamp.impl
Class ConsultServiceImpl

    java.lang.Object
      be.ehealth.technicalconnector.service.timestamp.impl.AbstractConsultationServiceImpl<TSConsultTSBagRequest,TSConsultTSBagResponse,TSConsultRequest,TSConsultResponse>
          be.ehealth.technicalconnector.service.timestamp.impl.ConsultServiceImpl

All Implemented Interfaces:
  ConsultService

    public class ConsultServiceImpl

extends AbstractConsultationServiceImpl<TSConsultTSBagRequest,TSConsultTSBagResponse,TSConsultRequest,TSConsultResponse>
implements ConsultService

Implementation of `ConsultService`

Constructor Summary
`ConsultServiceImpl()`

Method Summary
`TSConsultResponse` | `checkCompleteness(X509Certificate certificate, PrivateKey privateKey, TSConsultRequest consultRequest)` Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).
`TSConsultTSBagResponse` | `getTimestamp(X509Certificate certificate, PrivateKey privateKey, TSConsultTSBagRequest consultRequest)` Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultServiceImpl

    public ConsultServiceImpl()

Method Detail

### getTimestamp

    public TSConsultTSBagResponse getTimestamp(X509Certificate certificate,
                                               PrivateKey privateKey,
                                               TSConsultTSBagRequest consultRequest)
                                        throws TechnicalConnectorException

  Description copied from interface: `ConsultService`
  Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.

  Specified by:
    `getTimestamp` in interface `ConsultService`
  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `consultRequest` - Request message for the Get Time Stamp operation.
  Returns:
    the timestamp Response from the Get Time Stamp operation. The data about the referenced Timestamp Bag is returned
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### checkCompleteness

    public TSConsultResponse checkCompleteness(X509Certificate certificate,
                                               PrivateKey privateKey,
                                               TSConsultRequest consultRequest)
                                        throws TechnicalConnectorException

  Description copied from interface: `ConsultService`
  Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).

  Specified by:
    `checkCompleteness` in interface `ConsultService`
  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `consultRequest` - Request message for the Check Completeness operation.
  Returns:
    the TS consult response Response message for the Check Completeness operation.
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.